com.informix.json

## Class JSONCallback

- java.lang.Object
- - org.bson.BasicBSONCallback
  - - com.informix.json.JSONCallback

All Implemented Interfaces:
  org.bson.BSONCallback

    public class JSONCallback
    extends org.bson.BasicBSONCallback

### Field Summary

Fields
`static java.lang.String` `_msDateFormat`
`static java.lang.String` `_secDateFormat`

### Constructor Summary

Constructors
Constructor and Description
`JSONCallback()`

### Method Summary

Methods
`org.bson.BSONObject` `create()`
`protected org.bson.BSONObject` `createList()`
`java.lang.Object` `objectDone()`
`void` `objectStart(boolean array, java.lang.String name)`

### Methods inherited from class org.bson.BasicBSONCallback

`_put, arrayDone, arrayStart, arrayStart, create, createBSONCallback, cur, curName, get, gotBinary, gotBinaryArray, gotBoolean, gotCode, gotCodeWScope, gotDate, gotDBRef, gotDouble, gotInt, gotLong, gotMaxKey, gotMinKey, gotNull, gotObjectId, gotRegex, gotString, gotSymbol, gotTimestamp, gotUndefined, gotUUID, isStackEmpty, objectStart, objectStart, objectStart, reset, setRoot`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### _msDateFormat

    public static final java.lang.String _msDateFormat

See Also:
  Constant Field Values

#### _secDateFormat

    public static final java.lang.String _secDateFormat

See Also:
  Constant Field Values

### Constructor Detail

#### JSONCallback

    public JSONCallback()

### Method Detail

#### create

    public org.bson.BSONObject create()

Overrides:
  `create` in class `org.bson.BasicBSONCallback`

#### createList

    protected org.bson.BSONObject createList()

Overrides:
  `createList` in class `org.bson.BasicBSONCallback`

#### objectStart

    public void objectStart(boolean array,
                   java.lang.String name)

Overrides:
  `objectStart` in class `org.bson.BasicBSONCallback`

#### objectDone

    public java.lang.Object objectDone()

Specified by:
  `objectDone` in interface `org.bson.BSONCallback`
Overrides:
  `objectDone` in class `org.bson.BasicBSONCallback`